import { FC, ReactElement } from 'react';
import { CalendarLayoutEnum, CalendarTypeEnum } from './Calendar';
import { CalendarCellProps } from './CalendarCell';
export type DaysViewProps = {
    View?: FC<CalendarCellProps>;
    borderCollapse?: boolean;
    enableBorder?: boolean;
    enableHover?: boolean;
    layout?: CalendarLayoutEnum;
    onClick?: (date: Date | undefined) => void;
    selected?: Date;
    type?: CalendarTypeEnum;
    value?: Date;
    weekOfMonth: number;
    workDate: Date;
};
export declare function WeekDayView(props: DaysViewProps): ReactElement;
